Index: branches/ORCHIDEE_2_2/ORCHIDEE/orchidee.default
===================================================================
--- branches/ORCHIDEE_2_2/ORCHIDEE/orchidee.default	(revision 7263)
+++ branches/ORCHIDEE_2_2/ORCHIDEE/orchidee.default	(revision 7264)
@@ -51,8 +51,15 @@
 RELAX_A =  1.0 
 
-# SPRED_PREC ([-]) :  Spread the precipitation. 	{[-]}
-SPRED_PREC =  Half of the forcing time step or uniform, depending on dt_force and dt_sechiba 
-
-# ATM_CO2 ([ppm]) :  Value to precribe atmosoheric CO2 	{[FORCE_CO2_VEG=y or Offline mode]}
+# SPREAD_PREC ([-]) :  On how long we spread the precipitation, value in nb of dt_sechiba 	{[-]}
+SPREAD_PREC =  Half of the forcing time step or uniform, depending on dt_force (greater than 3h or not, respectively)
+
+# SPREAD_PREC_SEC ([s]) : On how long we spread the precipitation, value in seconds {NEW_DRIVER}
+# If this keyword is not set, SPREAD_PREC is used, whether defined in run.def or by default
+SPREAD_PREC_SEC = 3600
+
+# SPREAD_PREC_CONT ([s]) : Makes the spreading uniform if it still rains at following forcing time step {NEW_DRIVER}
+SPREAD_PREC_CONT = n
+
+# ATM_CO2 ([ppm]) :  Value to precribe atmospheric CO2 	{[FORCE_CO2_VEG=y or Offline mode]}
 ATM_CO2 =  350. 
 
Index: branches/ORCHIDEE_2_2/ORCHIDEE/src_driver/dim2_driver.f90
===================================================================
--- branches/ORCHIDEE_2_2/ORCHIDEE/src_driver/dim2_driver.f90	(revision 7263)
+++ branches/ORCHIDEE_2_2/ORCHIDEE/src_driver/dim2_driver.f90	(revision 7264)
@@ -623,9 +623,9 @@
   ENDIF
 
-  !Config Key   = SPRED_PREC
+  !Config Key   = SPREAD_PREC
   !Config Desc  = Spread the precipitation.
   !Config If    = [-]
   !Config Def   = Half of the forcing time step or uniform, depending on dt_force and dt_sechiba
-  !Config Help  = Spread the precipitation over SPRED_PREC steps of the splited forcing 
+  !Config Help  = Spread the precipitation over SPREAD_PREC steps of the splited forcing 
   !Config         time step. This ONLY applied if the forcing time step has been splited.
   !Config         If the value indicated is greater than SPLIT_DT, SPLIT_DT is used for it.
@@ -640,5 +640,5 @@
   END IF
 
-  CALL getin_p('SPRED_PREC', nb_spread)  
+  CALL getin_p('SPREAD_PREC', nb_spread)  
   IF (nb_spread > split) THEN
     WRITE(numout,*) 'WARNING : nb_spread is too large it will be '
Index: branches/ORCHIDEE_2_2/ORCHIDEE/src_driver/forcing_tools.f90
===================================================================
--- branches/ORCHIDEE_2_2/ORCHIDEE/src_driver/forcing_tools.f90	(revision 7263)
+++ branches/ORCHIDEE_2_2/ORCHIDEE/src_driver/forcing_tools.f90	(revision 7264)
@@ -987,5 +987,5 @@
 !>\BRIEF      Spreads the precipitation over the interval chosen based on the interval chosen by the user.
 !!
-!! DESCRIPTION:	The behaviour of this routine is controlled by the parameter SPRED_PREC_SEC in the run.def.
+!! DESCRIPTION:	The behaviour of this routine is controlled by the parameter SPREAD_PREC_SEC in the run.def.
 !!              The time in second specified by the user will be the one over which the precipitation will last
 !!              where the forcing interval has rain or snow.
@@ -1026,9 +1026,9 @@
     !
     IF ( first_call_spreadprec ) THEN
-       !Config Key   = SPRED_PREC
+       !Config Key   = SPREAD_PREC
        !Config Desc  = Spread the precipitation.
        !Config If    = [-]
        !Config Def   = Half of the forcing time step or uniform, depending on dt_force and dt_sechiba
-       !Config Help  = Spread the precipitation over SPRED_PREC steps of the splited forcing 
+       !Config Help  = Spread the precipitation over SPREAD_PREC steps of the splited forcing 
        !Config         time step. This ONLY applied if the forcing time step has been splited.
        !Config         If the value indicated is greater than SPLIT_DT, SPLIT_DT is used for it.
@@ -1036,5 +1036,5 @@
        !-
        nb_spread = -1
-       CALL getin_p('SPRED_PREC', nb_spread)
+       CALL getin_p('SPREAD_PREC', nb_spread)
        !
        ! Test if we have read the number of time steps to spread in run.def
@@ -1046,19 +1046,15 @@
           !Config Def   = 3600
           !Config Help  = Spread the precipitation over n seconds of the forcing time step
-          !Config         interval. This ONLY applies when the SPRED_PREC_SEC is smaller than
-          !Config         the forcing time step. Should the user set SPRED_PREC_SEC=0 we will 
+          !Config         interval. This ONLY applies when the SPREAD_PREC_SEC is smaller than
+          !Config         the forcing time step. Should the user set SPREAD_PREC_SEC=0 we will 
           !Config         assume that the rainfall is uniformely distributed over the forcing interval.
           !Config Units = seconds
           !
-          ! This is the default should 'SPRED_PREC' not be present in the run.def
+          ! This is the default should 'SPREAD_PREC' not be present in the run.def
           !
           time_to_spread = forcing_tstep_ave/2.0
           !
-          CALL getin_p('SPRED_PREC_SEC', time_to_spread)
-          IF ( time_to_spread == forcing_tstep_ave/2.0 ) THEN
-             ! If we still have the default value, check if the
-             ! keyword does not exist with the right spelling.
-             CALL getin_p('SPREAD_PREC_SEC', time_to_spread)
-          ENDIF
+          CALL getin_p('SPREAD_PREC_SEC', time_to_spread)
+          !
        ELSE
           time_to_spread = dt_sechiba_keep * nb_spread