Index: branches/ORCHIDEE_2_2/ORCHIDEE/src_driver/orchideedriver.f90
===================================================================
--- branches/ORCHIDEE_2_2/ORCHIDEE/src_driver/orchideedriver.f90	(revision 7264)
+++ branches/ORCHIDEE_2_2/ORCHIDEE/src_driver/orchideedriver.f90	(revision 7265)
@@ -578,5 +578,5 @@
   CALL xios_orchidee_init( MPI_COMM_ORCH,                &
        date0,    year_end, month_end, day_end, julian_diff,  &
-       lon,      lat,      znt)
+       lon,      lat )
   CALL sechiba_xios_initialize 
 
Index: branches/ORCHIDEE_2_2/ORCHIDEE/src_oasisdriver/orchideeoasis.f90
===================================================================
--- branches/ORCHIDEE_2_2/ORCHIDEE/src_oasisdriver/orchideeoasis.f90	(revision 7264)
+++ branches/ORCHIDEE_2_2/ORCHIDEE/src_oasisdriver/orchideeoasis.f90	(revision 7265)
@@ -435,5 +435,5 @@
   CALL xios_orchidee_init( MPI_COMM_ORCH,                    &
        date0,    year,    month,           day, julian_diff, &
-       lon,      lat,     soilth_lev)
+       lon,      lat )
   !
   itau_sechiba = itau + itau_offset
Index: branches/ORCHIDEE_2_2/ORCHIDEE/src_parallel/xios_orchidee.f90
===================================================================
--- branches/ORCHIDEE_2_2/ORCHIDEE/src_parallel/xios_orchidee.f90	(revision 7264)
+++ branches/ORCHIDEE_2_2/ORCHIDEE/src_parallel/xios_orchidee.f90	(revision 7265)
@@ -126,8 +126,11 @@
   SUBROUTINE xios_orchidee_init(MPI_COMM_ORCH,                   &
        date0,    year,      month,             day, julian_diff, &
-       lon_mpi,  lat_mpi,   soilth_lev )
+       lon_mpi,  lat_mpi )
 
     USE grid, ONLY : grid_type, unstructured, regular_lonlat, regular_xy, nvertex, &
                      longitude, latitude, bounds_lon, bounds_lat, ind_cell_glo
+
+    USE vertical_soil_var, ONLY : znt, znh
+
     IMPLICIT NONE
     !
@@ -141,5 +144,4 @@
     REAL(r_std), INTENT(in)                               :: julian_diff      !! Current day in the year [1,365(366)]
     REAL(r_std),DIMENSION (iim_g,jj_nb), INTENT(in)       :: lon_mpi, lat_mpi !! Longitudes and latitudes on MPI local domain 2D domain
-    REAL(r_std),DIMENSION (ngrnd), INTENT(in)             :: soilth_lev       !! Vertical soil levels for thermal scheme (m)
     !
     !! 0.2 Local variables
@@ -357,10 +359,10 @@
        CALL xios_set_axis_attr("nparts",n_glo=nparts,VALUE=(/(REAL(i,r_std),i=1,nparts)/))
        CALL xios_set_axis_attr("nlaip1", n_glo=nlai+1,VALUE=(/(REAL(i,r_std),i=1,nlai+1)/))
-       CALL xios_set_axis_attr("ngrnd",n_glo=ngrnd ,VALUE=soilth_lev(:))
+       CALL xios_set_axis_attr("ngrnd",n_glo=ngrnd ,VALUE=znt(:))
        CALL xios_set_axis_attr("nstm", n_glo=nstm,VALUE=(/(REAL(i,r_std),i=1,nstm)/))
        CALL xios_set_axis_attr("ncsm", n_glo=nscm,VALUE=(/(REAL(i,r_std),i=1,nscm)/))
        CALL xios_set_axis_attr("nnobio", n_glo=nnobio,VALUE=(/(REAL(i,r_std),i=1,nnobio)/))
        CALL xios_set_axis_attr("albtyp", n_glo=2,VALUE=(/(REAL(i,r_std),i=1,2)/))
-       CALL xios_set_axis_attr("nslm", n_glo=nslm,VALUE=(/(REAL(i,r_std),i=1,nslm)/))
+       CALL xios_set_axis_attr("nslm", n_glo=nslm,VALUE=znh(:))
        CALL xios_set_axis_attr("P10", n_glo=10,VALUE=(/(REAL(i,r_std), i=1,10)/))
        CALL xios_set_axis_attr("P100", n_glo=100,VALUE=(/(REAL(i,r_std), i=1,100)/))
Index: branches/ORCHIDEE_2_2/ORCHIDEE/src_sechiba/diffuco.f90
===================================================================
--- branches/ORCHIDEE_2_2/ORCHIDEE/src_sechiba/diffuco.f90	(revision 7264)
+++ branches/ORCHIDEE_2_2/ORCHIDEE/src_sechiba/diffuco.f90	(revision 7265)
@@ -288,5 +288,5 @@
     REAL(r_std),DIMENSION (kjpindex,nvm), INTENT (in)  :: qsintmax         !! Maximum water on vegetation for interception 
                                                                            !! (kg m^{-2})
-    REAL(r_std),DIMENSION (kjpindex,nvm), INTENT (in)  :: co2_to_bm        !! virtual gpp ((gC m^{-2} s^{-1}), total area) 
+    REAL(r_std),DIMENSION (kjpindex,nvm), INTENT (in)  :: co2_to_bm        !! virtual gpp ((gC m^{-2} dt_sechiba^{-1}), total area) 
     REAL(r_std),DIMENSION (kjpindex,nvm,npco2), INTENT (in) :: assim_param !! min+max+opt temps, vcmax, vjmax
                                                                            !! for photosynthesis (K ??)
@@ -315,5 +315,5 @@
     REAL(r_std),DIMENSION (kjpindex,nvm), INTENT (out) :: rstruct          !! Structural resistance for the vegetation
     REAL(r_std),DIMENSION (kjpindex,nvm), INTENT (out) :: cimean           !! Mean leaf Ci (ppm)  
-    REAL(r_std),DIMENSION (kjpindex,nvm), INTENT(out)  :: gpp              !! Assimilation ((gC m^{-2} s^{-1}), total area)  
+    REAL(r_std),DIMENSION (kjpindex,nvm), INTENT(out)  :: gpp              !! Assimilation ((gC m^{-2} dt_sechiba^{-1}), total area)  
 
     !! 0.3 Modified variables
@@ -1425,5 +1425,5 @@
     REAL(r_std),DIMENSION (kjpindex,nvm), INTENT (in)        :: vbeta23          !! Beta for fraction of wetted foliage that will 
                                                                                  !! transpire (unitless) 
-    REAL(r_std),DIMENSION (kjpindex,nvm), INTENT (in)        :: co2_to_bm        !! virtual gpp ((gC m^{-2} s^{-1}), total area)
+    REAL(r_std),DIMENSION (kjpindex,nvm), INTENT (in)        :: co2_to_bm        !! virtual gpp ((gC m^{-2} dt_sechiba ^{-1}), total area)
     INTEGER(i_std),INTENT (in)                               :: hist_id          !! _History_ file identifier (-)    
     INTEGER(i_std),DIMENSION (kjpindex*nvm), INTENT (in) :: indexveg       !! Indeces of the points on the 3D map (-)   
@@ -1442,6 +1442,5 @@
                                                                                  !! @tex ($\mu mol mol^{-1}$) @endtex
     REAL(r_std),DIMENSION (kjpindex,nvm), INTENT (out)       :: gsmean           !! mean stomatal conductance to CO2 (umol m-2 s-1)
-    REAL(r_Std),DIMENSION (kjpindex,nvm), INTENT (out)       :: gpp
- !! Assimilation ((gC m^{-2} s^{-1}), total area)
+    REAL(r_Std),DIMENSION (kjpindex,nvm), INTENT (out)       :: gpp              !! Assimilation ((gC m^{-2} dt_sechiba^{-1}), total area)
     REAL(r_std),DIMENSION (kjpindex,nvm), INTENT (out)       :: cim              !! Intercellular CO2 over nlai 
     !
Index: branches/ORCHIDEE_2_2/ORCHIDEE/src_sechiba/enerbil.f90
===================================================================
--- branches/ORCHIDEE_2_2/ORCHIDEE/src_sechiba/enerbil.f90	(revision 7264)
+++ branches/ORCHIDEE_2_2/ORCHIDEE/src_sechiba/enerbil.f90	(revision 7265)
@@ -98,6 +98,4 @@
   REAL(r_std), ALLOCATABLE, SAVE, DIMENSION (:)    :: q_sol_pot               !! Potential surface humidity
 !$OMP THREADPRIVATE(q_sol_pot)
-  REAL(r_std), ALLOCATABLE, SAVE, DIMENSION (:)    :: temp_sol_pot            !! Potential surface temperature (unstressed)
-!$OMP THREADPRIVATE(temp_sol_pot)
 
   
@@ -195,6 +193,4 @@
     IF (ier /= 0) CALL ipslerr_p(3,'enerbil_initialize','Problem in allocation of variable q_sol_pot','','')
 
-    ALLOCATE (temp_sol_pot(kjpindex),stat=ier)
-    IF (ier /= 0) CALL ipslerr_p(3,'enerbil_initialize','Problem in allocation of variable temp_sol_pot','','')
 
     !! 2. Initialize variables from restart file or by default values
@@ -276,10 +272,4 @@
     ENDIF
     
-    CALL ioconf_setatt_p('UNITS', 'K')
-    CALL ioconf_setatt_p('LONG_NAME','Potential surface temperature')
-    CALL restget_p (rest_id, 'tempsolpot', nbp_glo, 1, 1, kjit, .TRUE., temp_sol_pot, "gather", nbp_glo, index_g)
-    IF ( ALL( temp_sol_pot(:) .EQ. val_exp ) ) THEN 
-       temp_sol_pot = temp_sol
-    ENDIF
     
     CALL ioconf_setatt_p('UNITS', 'kg/m^2')
@@ -479,5 +469,4 @@
     CALL xios_orchidee_send_field("lwnet",lwnet)
     CALL xios_orchidee_send_field("Qv",fluxsubli)
-    CALL xios_orchidee_send_field("PotSurfT",temp_sol_pot)
 
     DO ji=1,kjpindex
@@ -505,5 +494,4 @@
        CALL histwrite_p(hist_id, 'PotEvap', kjit, evapot_corr, kjpindex, index)
        CALL histwrite_p(hist_id, 'PotEvapOld', kjit, evapot, kjpindex, index)
-       CALL histwrite_p(hist_id, 'PotSurfT', kjit, temp_sol_pot, kjpindex, index)
        IF ( hist2_id > 0 ) THEN
           CALL histwrite_p(hist2_id, 'LWnet', kjit, lwnet, kjpindex, index)
@@ -564,5 +552,4 @@
     CALL restput_p(rest_id, 'fluxlat', nbp_glo, 1, 1, kjit,  fluxlat, 'scatter',  nbp_glo, index_g)
     CALL restput_p(rest_id, 'fluxsens', nbp_glo, 1, 1, kjit,  fluxsens, 'scatter',  nbp_glo, index_g)
-    CALL restput_p(rest_id, 'tempsolpot', nbp_glo, 1, 1, kjit, temp_sol_pot, 'scatter',  nbp_glo, index_g)
     CALL restput_p(rest_id, 'qsolpot', nbp_glo, 1, 1, kjit, q_sol_pot, 'scatter',  nbp_glo, index_g)
     
@@ -605,5 +592,4 @@
     IF ( ALLOCATED (tair)) DEALLOCATE (tair)
     IF ( ALLOCATED (q_sol_pot)) DEALLOCATE (q_sol_pot)
-    IF ( ALLOCATED (temp_sol_pot)) DEALLOCATE (temp_sol_pot)
    
   END SUBROUTINE enerbil_clear
Index: branches/ORCHIDEE_2_2/ORCHIDEE/src_sechiba/intersurf.f90
===================================================================
--- branches/ORCHIDEE_2_2/ORCHIDEE/src_sechiba/intersurf.f90	(revision 7264)
+++ branches/ORCHIDEE_2_2/ORCHIDEE/src_sechiba/intersurf.f90	(revision 7265)
@@ -253,5 +253,5 @@
     CALL xios_orchidee_init( MPI_COMM_ORCH,                        &
          date0,   year_end,  month_end,     day_end,  julian_diff, &
-         lon,     lat,       znt )
+         lon,     lat )
 
     CALL sechiba_xios_initialize
@@ -1033,5 +1033,5 @@
     CALL xios_orchidee_init( MPI_COMM_ORCH,                   &
          date0,    year_end, month_end,     day_end, julian_diff, &
-         tmp_lon,  tmp_lat,  znt )
+         tmp_lon,  tmp_lat )
 
     IF (printlev >= 3) WRITE(numout,*) 'intersurf_initialize_gathered: After xios_orchidee_init'
Index: branches/ORCHIDEE_2_2/ORCHIDEE/src_sechiba/ioipslctrl.f90
===================================================================
--- branches/ORCHIDEE_2_2/ORCHIDEE/src_sechiba/ioipslctrl.f90	(revision 7264)
+++ branches/ORCHIDEE_2_2/ORCHIDEE/src_sechiba/ioipslctrl.f90	(revision 7265)
@@ -990,6 +990,4 @@
           CALL histdef(hist_id, 'AvgSurfT', 'Average surface temperature', 'K', &
                & iim,jjm, hori_id, 1,1,1, -99, 32, avescatter(1), dt,dw)
-          CALL histdef(hist_id, 'PotSurfT', 'Potential (Unstressed) surface temperature', 'K', &
-               & iim,jjm, hori_id, 1,1,1, -99, 32, avescatter(1), dt,dw)
           CALL histdef(hist_id, 'RadT', 'Surface radiative temperature', 'K', &
                & iim,jjm, hori_id, 1,1,1, -99, 32, avescatter(1), dt,dw)
Index: branches/ORCHIDEE_2_2/ORCHIDEE/src_sechiba/slowproc.f90
===================================================================
--- branches/ORCHIDEE_2_2/ORCHIDEE/src_sechiba/slowproc.f90	(revision 7264)
+++ branches/ORCHIDEE_2_2/ORCHIDEE/src_sechiba/slowproc.f90	(revision 7265)
@@ -1207,5 +1207,5 @@
     !Config Desc  = Interception reservoir coefficient
     !Config If    = OK_SECHIBA 
-    !Config Def   = 0.1
+    !Config Def   = 0.02
     !Config Help  = Transforms leaf area index into size of interception reservoir
     !Config         for slowproc_derivvar or stomate
Index: branches/ORCHIDEE_2_2/ORCHIDEE/src_xml/field_def_orchidee.xml
===================================================================
--- branches/ORCHIDEE_2_2/ORCHIDEE/src_xml/field_def_orchidee.xml	(revision 7264)
+++ branches/ORCHIDEE_2_2/ORCHIDEE/src_xml/field_def_orchidee.xml	(revision 7265)
@@ -313,5 +313,4 @@
     <field id="delswe" name="DelSWE" long_name="Accumulated change in Snow Water Equivalent (grid-cell total)" unit="kg/m^2" operation="accumulate"/>
     <field id="delswe_daily" field_ref="delswe" name="DelSWE_daily" long_name="Change in Snow Water Equivalent accumulated over each day" unit="kg/m^2/d" freq_op="1d" operation="average" > @delswe </field>
-    <field id="PotSurfT" name="PotSurfT" long_name="Potential (Unstressed) surface temperature" unit="K"/>
     <field id="soilmoist" name="SoilMoist" long_name="3D average layer soil moisture" unit="kg/m^2" grid_ref="grid_nslm"/>
     <field id="soilmoist_liquid" name="SoilMoistLiquid" long_name="3D average layer liquid soil moisture" unit="kg/m^2" grid_ref="grid_nslm"/>
Index: branches/ORCHIDEE_2_2/ORCHIDEE/src_xml/file_def_orchidee.xml
===================================================================
--- branches/ORCHIDEE_2_2/ORCHIDEE/src_xml/file_def_orchidee.xml	(revision 7264)
+++ branches/ORCHIDEE_2_2/ORCHIDEE/src_xml/file_def_orchidee.xml	(revision 7265)
@@ -614,5 +614,4 @@
     <field field_ref="laker" level="1"/>
     <field field_ref="pondr" level="1"/>
-    <field field_ref="PotSurfT" level="1"/>
     <field field_ref="albedo_glob" level="1"/>
     <field field_ref="soilalb_bg" grid_ref="grid_albtyp_out" name="Albedo_Background" level="1"/>