Index: branches/ORCHIDEE_2_2/ORCHIDEE/src_parameters/constantes_soil_var.f90
===================================================================
--- branches/ORCHIDEE_2_2/ORCHIDEE/src_parameters/constantes_soil_var.f90	(revision 7330)
+++ branches/ORCHIDEE_2_2/ORCHIDEE/src_parameters/constantes_soil_var.f90	(revision 7337)
@@ -20,4 +20,6 @@
 !!                   for clay oxisols (cf. Tafasca, 2020, PhD thesis; Tafasca et al., in prep for GRL).
 !!                   It makes no change if we read a soil texture map with only 12 USDA classes.
+!!                   Lookup tables for Zobler replaces by pointer to read the corresponding values in the
+!!                   13-value USDA tables
 !!
 !! REFERENCE(S)	:
@@ -106,38 +108,77 @@
 !$OMP THREADPRIVATE(mx_eau_nobio)
 
-
   !! Parameters specific for the CWRR hydrology.
 
-  !!  1. Parameters for FAO Classification
-
-  !! Parameters for soil type distribution
-
-  REAL(r_std),DIMENSION(nscm_fao),SAVE :: soilclass_default_fao = &   !! Default soil texture distribution for fao :
- & (/ 0.28, 0.52, 0.20 /)                                             !! in the following order : COARSE, MEDIUM, FINE (unitless)
-!$OMP THREADPRIVATE(soilclass_default_fao)
-
-  REAL(r_std),PARAMETER,DIMENSION(nscm_fao) :: nvan_fao = &            !! Van Genuchten coefficient n (unitless)
- & (/ 1.89_r_std, 1.56_r_std, 1.31_r_std /)                             !  RK: 1/n=1-m
-
-  REAL(r_std),PARAMETER,DIMENSION(nscm_fao) :: avan_fao = &            !! Van Genuchten coefficient a 
-  & (/ 0.0075_r_std, 0.0036_r_std, 0.0019_r_std /)                     !!  @tex $(mm^{-1})$ @endtex
-
-  REAL(r_std),PARAMETER,DIMENSION(nscm_fao) :: mcr_fao = &             !! Residual volumetric water content 
- & (/ 0.065_r_std, 0.078_r_std, 0.095_r_std /)                         !!  @tex $(m^{3} m^{-3})$ @endtex
-
-  REAL(r_std),PARAMETER,DIMENSION(nscm_fao) :: mcs_fao = &             !! Saturated volumetric water content 
- & (/ 0.41_r_std, 0.43_r_std, 0.41_r_std /)                            !!  @tex $(m^{3} m^{-3})$ @endtex
-
-  REAL(r_std),PARAMETER,DIMENSION(nscm_fao) :: ks_fao = &              !! Hydraulic conductivity at saturation 
- & (/ 1060.8_r_std, 249.6_r_std, 62.4_r_std /)                         !!  @tex $(mm d^{-1})$ @endtex
+  !!  1. Parameters for FAO-Zobler Map
+
+  INTEGER(i_std), PARAMETER,DIMENSION(nscm_fao) :: fao2usda = (/ 3,6,9 /) !! To find the values of Coarse, Medium, Fine in Zobler map
+  !! from the USDA lookup tables
+  
+!!$  REAL(r_std),DIMENSION(nscm_fao),SAVE :: soilclass_default_fao = &   !! Default soil texture distribution for fao :
+!!$ & (/ 0.28, 0.52, 0.20 /)                                             !! in the following order : COARSE, MEDIUM, FINE (unitless)
+!!$!$OMP THREADPRIVATE(soilclass_default_fao)
+
+  !!  2. Parameters for USDA Classification
+
+  !! Parameters for soil type distribution :
+  !! Sand, Loamy Sand, Sandy Loam, Silt Loam, Silt, Loam, Sandy Clay Loam, Silty Clay Loam, Clay Loam, Sandy Clay, Silty Clay, Clay
+
+  ! AD-Warning: I don't understand correctly the use of soilclass_default; when removing the _fao vectors, the default texture in
+  ! Greenland, where the Zobler map has no data, were changed, even when having 0.28 at the 3rd place below
+  ! I kept the original soilclass_default_usda to keep the Reynolds map unchanged
+  
+  REAL(r_std),DIMENSION(nscm_usda),SAVE :: soilclass_default_usda = &    !! Default soil texture distribution in the above order :
+ & (/ 0.28, 0.52, 0.20, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0 /)   !! Thus different from "FAO"'s COARSE, MEDIUM, FINE
+  !! which have indices 3,6,9 in the 12-texture vector
+  !$OMP THREADPRIVATE(soilclass_default_usda)
+
+!!$  REAL(r_std),DIMENSION(nscm_usda),SAVE :: soilclass_default_usda = &       !! Default soil texture distribution, to be coherent with the 
+!!$ & (/ 0.0, 0.0, 0.28, 0.0, 0.0, 0.52, 0.0, 0.0, 0.20, 0.0, 0.0, 0.0, 0.0 /) !! original FAO/Zobler values
+!!$  !$OMP THREADPRIVATE(soilclass_default_usda)  
+
+  REAL(r_std),PARAMETER,DIMENSION(nscm_usda) :: nvan_usda = &            !! Van Genuchten coefficient n (unitless)
+ & (/ 2.68_r_std, 2.28_r_std, 1.89_r_std, 1.41_r_std, &                   !  RK: 1/n=1-m
+ &    1.37_r_std, 1.56_r_std, 1.48_r_std, 1.23_r_std, &
+ &    1.31_r_std, 1.23_r_std, 1.09_r_std, 1.09_r_std, &
+ &    1.552_r_std    /) ! oxisols
+
+  REAL(r_std),PARAMETER,DIMENSION(nscm_usda) :: avan_usda = &            !! Van Genuchten coefficient a 
+ & (/ 0.0145_r_std, 0.0124_r_std, 0.0075_r_std, 0.0020_r_std, &          !!  @tex $(mm^{-1})$ @endtex
+ &    0.0016_r_std, 0.0036_r_std, 0.0059_r_std, 0.0010_r_std, &
+ &    0.0019_r_std, 0.0027_r_std, 0.0005_r_std, 0.0008_r_std, &
+ &    0.0132_r_std /) ! oxisols
+
+  REAL(r_std),PARAMETER,DIMENSION(nscm_usda) :: mcr_usda = &             !! Residual volumetric water content 
+ & (/ 0.045_r_std, 0.057_r_std, 0.065_r_std, 0.067_r_std, &              !!  @tex $(m^{3} m^{-3})$ @endtex
+ &    0.034_r_std, 0.078_r_std, 0.100_r_std, 0.089_r_std, &
+ &    0.095_r_std, 0.100_r_std, 0.070_r_std, 0.068_r_std, &
+ &    0.068_r_std /) ! oxisols
+
+  REAL(r_std),PARAMETER,DIMENSION(nscm_usda) :: mcs_usda = &             !! Saturated volumetric water content 
+ & (/ 0.43_r_std, 0.41_r_std, 0.41_r_std, 0.45_r_std, &                  !!  @tex $(m^{3} m^{-3})$ @endtex
+ &    0.46_r_std, 0.43_r_std, 0.39_r_std, 0.43_r_std, &
+ &    0.41_r_std, 0.38_r_std, 0.36_r_std, 0.38_r_std, &
+ &    0.503_r_std  /) ! oxisols
+
+  REAL(r_std),PARAMETER,DIMENSION(nscm_usda) :: ks_usda = &              !! Hydraulic conductivity at saturation
+ & (/ 7128.0_r_std, 3501.6_r_std, 1060.8_r_std, 108.0_r_std, &           !!  @tex $(mm d^{-1})$ @endtex
+ &    60.0_r_std, 249.6_r_std, 314.4_r_std, 16.8_r_std, &
+ &    62.4_r_std, 28.8_r_std, 4.8_r_std, 48.0_r_std, &
+ &    6131.4_r_std  /) ! oxisols
 
 ! The max available water content is smaller when mcw and mcf depend on texture,
-! so we increase pcent to a classical value of 80%
-  REAL(r_std),PARAMETER,DIMENSION(nscm_fao) :: pcent_fao = &           !! Fraction of saturated volumetric soil moisture 
- & (/ 0.8_r_std, 0.8_r_std, 0.8_r_std /)                               !! above which transpir is max (0-1, unitless)
-
-  REAL(r_std),PARAMETER,DIMENSION(nscm_fao) :: free_drain_max_fao = &  !! Max=default value of the permeability coeff  
- & (/ 1.0_r_std, 1.0_r_std, 1.0_r_std /)                               !! at the bottom of the soil (0-1, unitless)
-
+! so we increase pcent to a classical value of 80%  
+  REAL(r_std),PARAMETER,DIMENSION(nscm_usda) :: pcent_usda = &           !! Fraction of saturated volumetric soil moisture
+ & (/ 0.8_r_std, 0.8_r_std, 0.8_r_std, 0.8_r_std, &                      !! above which transpir is max (0-1, unitless)
+ &    0.8_r_std, 0.8_r_std, 0.8_r_std, 0.8_r_std, &
+ &    0.8_r_std, 0.8_r_std, 0.8_r_std, 0.8_r_std, &
+ &    0.8_r_std /) ! oxisols
+
+  REAL(r_std),PARAMETER,DIMENSION(nscm_usda) :: free_drain_max_usda = &  !! Max=default value of the permeability coeff 
+ & (/ 1.0_r_std, 1.0_r_std, 1.0_r_std, 1.0_r_std, &                      !! at the bottom of the soil (0-1, unitless)
+ &    1.0_r_std, 1.0_r_std, 1.0_r_std, 1.0_r_std, &
+ &    1.0_r_std, 1.0_r_std, 1.0_r_std, 1.0_r_std,  &
+ &    1.0_r_std /)
+  
 !! We use the VG relationships to derive mcw and mcf depending on soil texture
 !! assuming that the matric potential for wilting point and field capacity is
@@ -145,74 +186,4 @@
 !! (-1m for FC for the three sandy soils following Richards, L.A. and Weaver, L.R. (1944)
 !! Note that mcw GE mcr
-  REAL(r_std),PARAMETER,DIMENSION(nscm_fao) :: mcf_fao = &             !! Volumetric water content at field capacity 
- & (/ 0.1218_r_std, 0.1654_r_std, 0.2697_r_std /)                      !!  @tex $(m^{3} m^{-3})$ @endtex
-
-  REAL(r_std),PARAMETER,DIMENSION(nscm_fao) :: mcw_fao = &             !! Volumetric water content at wilting point 
- & (/ 0.0657_r_std,  0.0884_r_std, 0.1496_r_std/)                      !!  @tex $(m^{3} m^{-3})$ @endtex
-
-  REAL(r_std),PARAMETER,DIMENSION(nscm_fao) :: mc_awet_fao = &         !! Vol. wat. cont. above which albedo is cst 
- & (/ 0.25_r_std, 0.25_r_std, 0.25_r_std /)                            !!  @tex $(m^{3} m^{-3})$ @endtex
-
-  REAL(r_std),PARAMETER,DIMENSION(nscm_fao) :: mc_adry_fao = &         !! Vol. wat. cont. below which albedo is cst
- & (/ 0.1_r_std, 0.1_r_std, 0.1_r_std /)                               !!  @tex $(m^{3} m^{-3})$ @endtex
-
-  REAL(r_std),PARAMETER,DIMENSION(nscm_fao) :: QZ_fao = &              !! QUARTZ CONTENT (SOIL TYPE DEPENDENT)
- & (/ 0.60_r_std, 0.40_r_std, 0.35_r_std /)                            !! Peters et al [1998]
-
-  REAL(r_std),PARAMETER,DIMENSION(nscm_fao) :: so_capa_dry_ns_fao = &  !! Dry soil Heat capacity of soils,J.m^{-3}.K^{-1}
- & (/ 1.34e+6_r_std, 1.21e+6_r_std, 1.23e+6_r_std /)                   !! Pielke [2002, 2013]
-
-  !!  2. Parameters for USDA Classification
-
-  !! Parameters for soil type distribution :
-  !! Sand, Loamy Sand, Sandy Loam, Silt Loam, Silt, Loam, Sandy Clay Loam, Silty Clay Loam, Clay Loam, Sandy Clay, Silty Clay, Clay
-
-  REAL(r_std),DIMENSION(nscm_usda),SAVE :: soilclass_default_usda = &    !! Default soil texture distribution in the above order :
- & (/ 0.28, 0.52, 0.20, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0 /)   !! Thus different from "FAO"'s COARSE, MEDIUM, FINE
-                                                                         !! which have indices 3,6,9 in the 12-texture vector
-  !$OMP THREADPRIVATE(soilclass_default_usda)
-
-  REAL(r_std),PARAMETER,DIMENSION(nscm_usda) :: nvan_usda = &            !! Van Genuchten coefficient n (unitless)
- & (/ 2.68_r_std, 2.28_r_std, 1.89_r_std, 1.41_r_std, &                   !  RK: 1/n=1-m
- &    1.37_r_std, 1.56_r_std, 1.48_r_std, 1.23_r_std, &
- &    1.31_r_std, 1.23_r_std, 1.09_r_std, 1.09_r_std, &
- &    1.552_r_std    /) ! oxisols
-
-  REAL(r_std),PARAMETER,DIMENSION(nscm_usda) :: avan_usda = &            !! Van Genuchten coefficient a 
- & (/ 0.0145_r_std, 0.0124_r_std, 0.0075_r_std, 0.0020_r_std, &          !!  @tex $(mm^{-1})$ @endtex
- &    0.0016_r_std, 0.0036_r_std, 0.0059_r_std, 0.0010_r_std, &
- &    0.0019_r_std, 0.0027_r_std, 0.0005_r_std, 0.0008_r_std, &
- &    0.0132_r_std /) ! oxisols
-
-  REAL(r_std),PARAMETER,DIMENSION(nscm_usda) :: mcr_usda = &             !! Residual volumetric water content 
- & (/ 0.045_r_std, 0.057_r_std, 0.065_r_std, 0.067_r_std, &              !!  @tex $(m^{3} m^{-3})$ @endtex
- &    0.034_r_std, 0.078_r_std, 0.100_r_std, 0.089_r_std, &
- &    0.095_r_std, 0.100_r_std, 0.070_r_std, 0.068_r_std, &
- &    0.068_r_std /) ! oxisols
-
-  REAL(r_std),PARAMETER,DIMENSION(nscm_usda) :: mcs_usda = &             !! Saturated volumetric water content 
- & (/ 0.43_r_std, 0.41_r_std, 0.41_r_std, 0.45_r_std, &                  !!  @tex $(m^{3} m^{-3})$ @endtex
- &    0.46_r_std, 0.43_r_std, 0.39_r_std, 0.43_r_std, &
- &    0.41_r_std, 0.38_r_std, 0.36_r_std, 0.38_r_std, &
- &    0.503_r_std  /) ! oxisols
-
-  REAL(r_std),PARAMETER,DIMENSION(nscm_usda) :: ks_usda = &              !! Hydraulic conductivity at saturation
- & (/ 7128.0_r_std, 3501.6_r_std, 1060.8_r_std, 108.0_r_std, &           !!  @tex $(mm d^{-1})$ @endtex
- &    60.0_r_std, 249.6_r_std, 314.4_r_std, 16.8_r_std, &
- &    62.4_r_std, 28.8_r_std, 4.8_r_std, 48.0_r_std, &
- &    6131.4_r_std  /) ! oxisols
-
-  REAL(r_std),PARAMETER,DIMENSION(nscm_usda) :: pcent_usda = &           !! Fraction of saturated volumetric soil moisture
- & (/ 0.8_r_std, 0.8_r_std, 0.8_r_std, 0.8_r_std, &                      !! above which transpir is max (0-1, unitless)
- &    0.8_r_std, 0.8_r_std, 0.8_r_std, 0.8_r_std, &
- &    0.8_r_std, 0.8_r_std, 0.8_r_std, 0.8_r_std, &
- &    0.8_r_std /) ! oxisols
-
-  REAL(r_std),PARAMETER,DIMENSION(nscm_usda) :: free_drain_max_usda = &  !! Max=default value of the permeability coeff 
- & (/ 1.0_r_std, 1.0_r_std, 1.0_r_std, 1.0_r_std, &                      !! at the bottom of the soil (0-1, unitless)
- &    1.0_r_std, 1.0_r_std, 1.0_r_std, 1.0_r_std, &
- &    1.0_r_std, 1.0_r_std, 1.0_r_std, 1.0_r_std,  &
- &    1.0_r_std /)
-
   REAL(r_std),PARAMETER,DIMENSION(nscm_usda) :: mcf_usda = &             !! Volumetric water content at field capacity
  & (/ 0.0493_r_std, 0.0710_r_std, 0.1218_r_std, 0.2402_r_std, &          !!  @tex $(m^{3} m^{-3})$ @endtex
Index: branches/ORCHIDEE_2_2/ORCHIDEE/src_parameters/control.f90
===================================================================
--- branches/ORCHIDEE_2_2/ORCHIDEE/src_parameters/control.f90	(revision 7330)
+++ branches/ORCHIDEE_2_2/ORCHIDEE/src_parameters/control.f90	(revision 7337)
@@ -65,11 +65,10 @@
     !Config         Zobler (7 converted to 3) and USDA (12) 
     !Config Units = [-]
-    !
-    !-tdo- Suivant le type de classification utilisee pour le sol, on adapte nscm 
+    ! 
     soil_classif = 'zobler'
     CALL getin_p('SOILTYPE_CLASSIF',soil_classif)
     SELECTCASE (soil_classif)
     CASE ('zobler','none')
-       nscm = nscm_fao
+       nscm = nscm_usda ! owing to the fao2usda pointer
     CASE ('usda')
        nscm = nscm_usda
Index: branches/ORCHIDEE_2_2/ORCHIDEE/src_sechiba/hydrol.f90
===================================================================
--- branches/ORCHIDEE_2_2/ORCHIDEE/src_sechiba/hydrol.f90	(revision 7330)
+++ branches/ORCHIDEE_2_2/ORCHIDEE/src_sechiba/hydrol.f90	(revision 7337)
@@ -1449,21 +1449,9 @@
     IF (ier /= 0) CALL ipslerr_p(3,'hydrol_init','Problem in allocate of variable mc_adry','','')
        
-    !! 2.2 Soil texture choose
-
-    SELECTCASE (nscm)
-    CASE (3)              
-       pcent(:) = pcent_fao(:) 
-       mc_awet(:) = mc_awet_fao(:)
-       mc_adry(:) = mc_adry_fao(:)
-    CASE (13)           
-       pcent(:) = pcent_usda(:) 
-       mc_awet(:) = mc_awet_usda(:)
-       mc_adry(:) = mc_adry_usda(:)       
-    CASE DEFAULT
-       WRITE (numout,*) 'Unsupported soil type classification. Choose between zobler and usda according to the map'
-       CALL ipslerr_p(3,'hydrol_init','Unsupported soil type classification. ',&
-            'Choose between zobler and usda according to the map','')
-    ENDSELECT
-
+    !! 2.2 Soil texture parameters
+         
+    pcent(:) = pcent_usda(:) 
+    mc_awet(:) = mc_awet_usda(:)
+    mc_adry(:) = mc_adry_usda(:) 
 
     !! 2.3 Read in the run.def the parameters values defined by the user
Index: branches/ORCHIDEE_2_2/ORCHIDEE/src_sechiba/slowproc.f90
===================================================================
--- branches/ORCHIDEE_2_2/ORCHIDEE/src_sechiba/slowproc.f90	(revision 7330)
+++ branches/ORCHIDEE_2_2/ORCHIDEE/src_sechiba/slowproc.f90	(revision 7337)
@@ -3032,5 +3032,5 @@
              IF (ALLOC_ERR/=0) CALL ipslerr_p(3,'slowproc_soilt','Error in allocation for textfrac_table','','')
              DO ib=1, nbpt
-                soilclass(ib,:) = soilclass_default_fao
+                soilclass(ib,:) = soilclass_default_usda 
                 clayfraction(ib) = clayfraction_default
              ENDDO
@@ -3038,5 +3038,5 @@
           CASE('zobler')
              !
-             soilclass_default=soilclass_default_fao ! FAO means here 3 final texture classes
+             soilclass_default=soilclass_default_usda ! USDA means here 13 final texture classes, owing to fao2usda
              !
              IF (printlev_loc>=2) WRITE(numout,*) "Using a soilclass map with Zobler classification, to be read using XIOS"
@@ -3057,7 +3057,8 @@
              !             !
              DO ib =1, nbpt
-                soilclass(ib,1)=textrefrac(ib,1)
-                soilclass(ib,2)=textrefrac(ib,2)+textrefrac(ib,3)+textrefrac(ib,4)+textrefrac(ib,7)
-                soilclass(ib,3)=textrefrac(ib,5)
+                soilclass(ib,:)=0.
+                soilclass(ib,fao2usda(1))=textrefrac(ib,1)
+                soilclass(ib,fao2usda(2))=textrefrac(ib,2)+textrefrac(ib,3)+textrefrac(ib,4)+textrefrac(ib,7)
+                soilclass(ib,fao2usda(3))=textrefrac(ib,5)
 
                 ! clayfraction is the sum of the % of clay (as a mineral of small granulometry, and not as a texture)
@@ -3075,7 +3076,7 @@
                      textfrac_table(5,1) * textrefrac(ib,5)+textfrac_table(7,1) * textrefrac(ib,7)
 
-                sgn=SUM(soilclass(ib,1:3))
-
-                IF (sgn < min_sechiba) THEN
+                sgn=SUM(soilclass(ib,1:3)) ! grid-cell fraction with texture info
+
+                IF (sgn < min_sechiba) THEN ! if no texture info in this grid-point, we assume 28%/52%, 20% of texture classes 3/6/9
                    soilclass(ib,:) = soilclass_default(:)
                    clayfraction(ib) = clayfraction_default
@@ -3135,7 +3136,7 @@
                 ENDDO
 
-                sgn=SUM(soilclass(ib,:))
-
-                IF (sgn < min_sechiba) THEN
+                sgn=SUM(soilclass(ib,:)) ! grid-cell fraction with texture info
+
+                IF (sgn < min_sechiba) THEN ! if no texture info in this grid-point, we assume 28%/52%, 20% of texture classes 3/6/9
                    soilclass(ib,:) = soilclass_default(:)
                    clayfraction(ib) = clayfraction_default
@@ -3234,5 +3235,5 @@
              IF (ALLOC_ERR/=0) CALL ipslerr_p(3,'slowproc_soilt','Error in allocation for textfrac_table','','')
              DO ib=1, nbpt
-                soilclass(ib,:) = soilclass_default_fao
+                soilclass(ib,:) = soilclass_default_usda
                 clayfraction(ib) = clayfraction_default
                 sandfraction(ib) = sandfraction_default
@@ -3241,5 +3242,5 @@
           CASE('zobler')
              !
-             soilclass_default=soilclass_default_fao ! FAO means here 3 final texture classes
+             soilclass(ib,:) = soilclass_default_usda ! USDA means here 13 final texture classes, owing to fao2usda
              !
              IF (printlev_loc>=2) WRITE(numout,*) "Using a soilclass map with Zobler classification"
@@ -3294,15 +3295,15 @@
                          SELECT CASE(solt(ilf))
                          CASE(1)
-                            soilclass(ib,1) = soilclass(ib,1) + textrefrac(ib,solt(ilf))
+                            soilclass(ib,fao2usda(1)) = soilclass(ib,fao2usda(1)) + textrefrac(ib,solt(ilf))
                          CASE(2)
-                            soilclass(ib,2) = soilclass(ib,2) + textrefrac(ib,solt(ilf))
+                            soilclass(ib,fao2usda(2)) = soilclass(ib,fao2usda(2)) + textrefrac(ib,solt(ilf))
                          CASE(3)
-                            soilclass(ib,2) = soilclass(ib,2) + textrefrac(ib,solt(ilf))
+                            soilclass(ib,fao2usda(2)) = soilclass(ib,fao2usda(2)) + textrefrac(ib,solt(ilf))
                          CASE(4)
-                            soilclass(ib,2) = soilclass(ib,2) + textrefrac(ib,solt(ilf))
+                            soilclass(ib,fao2usda(2)) = soilclass(ib,fao2usda(2)) + textrefrac(ib,solt(ilf))
                          CASE(5)
-                            soilclass(ib,3) = soilclass(ib,3) + textrefrac(ib,solt(ilf))
+                            soilclass(ib,fao2usda(3)) = soilclass(ib,fao2usda(3)) + textrefrac(ib,solt(ilf))
                          CASE(7)
-                            soilclass(ib,2) = soilclass(ib,2) + textrefrac(ib,solt(ilf))
+                            soilclass(ib,fao2usda(2)) = soilclass(ib,fao2usda(2)) + textrefrac(ib,solt(ilf))
                          CASE DEFAULT
                             WRITE(numout,*) 'We should not be here, an impossible case appeared'
@@ -3451,5 +3452,5 @@
        njsc(:) = 0
        DO ib = 1, nbpt
-          njsc(ib) = MAXLOC(soilclass(ib,:),1)
+          njsc(ib) = MAXLOC(soilclass(ib,:),1) ! Here we get 3/6/9 for the Zobler classes Coarse/Medium/Fine
        ENDDO
 
@@ -3545,25 +3546,13 @@
 
        ELSE ! spmipexp is not maps nor unif, then it must be texture
-         IF (spmipexp == 'texture') THEN
-            IF (soil_classif == 'usda') THEN
-               ! Texture map from SP-MIP, thus Soilgrids modified
-               nvan(:) = nvan_usda(njsc(:))
-               avan(:) = avan_usda(njsc(:))
-               mcr(:) = mcr_usda(njsc(:))
-               mcs(:) = mcs_usda(njsc(:))
-               ks(:) = ks_usda(njsc(:))
-               mcfc(:) = mcf_usda(njsc(:))
-               mcw(:) = mcw_usda(njsc(:))
-               ! on aura pcent(:) = pcent(njsc(:)) dans hydrol
-            ELSE ! soil_classif == 'zobler' or 'none'
-               ! salma: here we are in exp3 -- Zobler map
-               nvan(:) = nvan_fao(njsc(:))
-               avan(:) = avan_fao(njsc(:))
-               mcr(:) = mcr_fao(njsc(:))
-               mcs(:) = mcs_fao(njsc(:))
-               ks(:) = ks_fao(njsc(:))
-               mcfc(:) = mcf_fao(njsc(:))
-               mcw(:) = mcw_fao(njsc(:))
-            ENDIF !if spmipexp is texture       
+          IF (spmipexp == 'texture') THEN
+             ! Whichever the soil texture map, we can use the USDA parameter vectors with 13 values 
+             nvan(:) = nvan_usda(njsc(:))
+             avan(:) = avan_usda(njsc(:))
+             mcr(:) = mcr_usda(njsc(:))
+             mcs(:) = mcs_usda(njsc(:))
+             ks(:) = ks_usda(njsc(:))
+             mcfc(:) = mcf_usda(njsc(:))
+             mcw(:) = mcw_usda(njsc(:))    
          ELSE ! if spmipexp is not among texture or maps or unif
             WRITE(numout,*) "Unsupported spmipexp=",spmipexp
Index: branches/ORCHIDEE_2_2/ORCHIDEE/src_sechiba/thermosoil.f90
===================================================================
--- branches/ORCHIDEE_2_2/ORCHIDEE/src_sechiba/thermosoil.f90	(revision 7330)
+++ branches/ORCHIDEE_2_2/ORCHIDEE/src_sechiba/thermosoil.f90	(revision 7337)
@@ -379,17 +379,7 @@
 
 
-!! Soil texture choose
-    SELECTCASE (nscm)
-    CASE (3)
-       QZ(:) = QZ_fao(:)
-       so_capa_dry_ns(:) = so_capa_dry_ns_fao(:)
-    CASE (13) !Salma changed from 12 to 13 for the new class Oxisols
-       QZ(:) = QZ_usda(:)
-       so_capa_dry_ns(:) = so_capa_dry_ns_usda(:)
-    CASE DEFAULT
-       WRITE (numout,*) 'Unsupported soil type classification. Choose between zobler, fao and usda according to the map'
-       STOP 'thermosoil_initialize'
-    ENDSELECT
-
+    !! Soil texture choose : Now useless since njsc defines the dominant texture within 13 classes whichever the soil map
+    QZ(:) = QZ_usda(:)
+    so_capa_dry_ns(:) = so_capa_dry_ns_usda(:)
     
     !! 2. Initialize variable from restart file or with default values 
@@ -1330,5 +1320,5 @@
           ! Eq 11 in Peters-Lidard et al., 1998
           IF ( satratio(ji,jg) >  0.1 ) THEN
-            IF ((jst < 4 .AND. soil_classif == 'usda') .OR. (jst == 1 .AND. soil_classif == 'zobler') )  THEN
+            IF (jst < 4 )  THEN
                 ! Coarse 
                 ake(ji,jg) = 0.7 * LOG10 (SATRATIO(ji,jg)) + 1.0
@@ -1338,5 +1328,5 @@
             ENDIF
           ELSEIF ( satratio(ji,jg) >  0.05 .AND. satratio(ji,jg) <=  0.1 ) THEN
-            IF ((jst < 4 .AND. soil_classif == 'usda') .OR. (jst == 1 .AND. soil_classif == 'zobler') )  THEN
+            IF (jst < 4 )  THEN
                 ! Coarse 
                 ake(ji,jg) = 0.7 * LOG10 (satratio(ji,jg)) + 1.0