Index: branches/ORCHIDEE_2_2/ORCHIDEE/src_parameters/constantes_soil_var.f90
===================================================================
--- branches/ORCHIDEE_2_2/ORCHIDEE/src_parameters/constantes_soil_var.f90	(revision 7364)
+++ branches/ORCHIDEE_2_2/ORCHIDEE/src_parameters/constantes_soil_var.f90	(revision 7375)
@@ -71,5 +71,5 @@
   INTEGER(i_std), PARAMETER :: nscm_fao=3               !! For FAO Classification (unitless)
   INTEGER(i_std), PARAMETER :: nscm_usda=13             !! For USDA Classification (unitless)
-  INTEGER(i_std), SAVE      :: nscm=nscm_fao            !! Default value for nscm
+  INTEGER(i_std), SAVE      :: nscm=nscm_usda            !! Default value for nscm
 !$OMP THREADPRIVATE(nscm)
 
Index: branches/ORCHIDEE_2_2/ORCHIDEE/src_sechiba/slowproc.f90
===================================================================
--- branches/ORCHIDEE_2_2/ORCHIDEE/src_sechiba/slowproc.f90	(revision 7364)
+++ branches/ORCHIDEE_2_2/ORCHIDEE/src_sechiba/slowproc.f90	(revision 7375)
@@ -127,6 +127,8 @@
        CALL xios_orchidee_set_fieldgroup_attr("soil_text",enabled=.FALSE.)
     END IF
-    
-
+
+    !! See commented part below for the reading of params_sp_mip.nc if spmipexp='maps'
+    !! (with a bug, but helpful)
+    
     !! 2. Prepare for reading of PFTmap file
     filename = 'PFTmap.nc'
@@ -223,29 +225,34 @@
     ENDIF
 
-    !Salma
-    !! 6. Prepare for reading of soil parameter files
-
-    ! Get the file name from run.def file and set file attributes accordingly
-    filename = 'params_sp_mip.nc'
-    CALL getin_p('PARAM_FILE',filename)
-    name = filename(1:LEN_TRIM(FILENAME)-3)
-    CALL xios_orchidee_set_file_attr("soilparam_file",name=name)
-    ! Determine if the file will be read by XIOS. If not, deactivate reading of the file.
-    IF (xios_interpolation .AND. restname_in=='NONE' .AND. .NOT. impsoilt) THEN
-       ! Reading will be done with XIOS later
-       IF (printlev>=2) WRITE(numout,*) 'Reading of soil hydraulic parameters file will be done later using XIOS. The filename is ', filename
-    ELSE
-       ! No reading by XIOS, deactivate soilparam_file and related variables declared in context_input_orchidee.xml.
-       ! If this is not done, the model will crash if the file is not available in the run directory.
-       IF (printlev>=2) WRITE(numout,*) 'Reading of soil parameter file will not be done with XIOS.'
-       CALL xios_orchidee_set_file_attr("soilparam_file",enabled=.FALSE.)
-       CALL xios_orchidee_set_field_attr("soilks",enabled=.FALSE.)
-       CALL xios_orchidee_set_field_attr("soilnvan",enabled=.FALSE.)
-       CALL xios_orchidee_set_field_attr("soilavan",enabled=.FALSE.)
-       CALL xios_orchidee_set_field_attr("soilmcr",enabled=.FALSE.)
-       CALL xios_orchidee_set_field_attr("soilmcs",enabled=.FALSE.)
-       CALL xios_orchidee_set_field_attr("soilmcfc",enabled=.FALSE.)
-       CALL xios_orchidee_set_field_attr("soilmcw",enabled=.FALSE.)
-    ENDIF
+    !! This part was introduced to prepare the reading of params_sp_mip.nc if spmipexp='maps'
+    !! but there are mistakes in the IF ELSE ENDIF and we go through ELSE
+    !! each time xios_interpolation = T, even if we don't need to read this file
+    !! and it is not provided by sechiba.card
+    !! The corresponding part in context_input_orchidee.xml is also commented
+    
+!!$    !! 6. Prepare for reading of soil parameter files
+!!$
+!!$    ! Get the file name from run.def file and set file attributes accordingly
+!!$    filename = 'params_sp_mip.nc'
+!!$    CALL getin_p('PARAM_FILE',filename)
+!!$    name = filename(1:LEN_TRIM(FILENAME)-3)
+!!$    CALL xios_orchidee_set_file_attr("soilparam_file",name=name)
+!!$    ! Determine if the file will be read by XIOS. If not, deactivate reading of the file.
+!!$    IF (xios_interpolation .AND. restname_in=='NONE' .AND. .NOT. impsoilt) THEN
+!!$       ! Reading will be done with XIOS later
+!!$       IF (printlev>=2) WRITE(numout,*) 'Reading of soil hydraulic parameters file will be done later using XIOS. The filename is ', filename
+!!$    ELSE
+!!$       ! No reading by XIOS, deactivate soilparam_file and related variables declared in context_input_orchidee.xml.
+!!$       ! If this is not done, the model will crash if the file is not available in the run directory.
+!!$       IF (printlev>=2) WRITE(numout,*) 'Reading of soil parameter file will not be done with XIOS.'
+!!$       CALL xios_orchidee_set_file_attr("soilparam_file",enabled=.FALSE.)
+!!$       CALL xios_orchidee_set_field_attr("soilks",enabled=.FALSE.)
+!!$       CALL xios_orchidee_set_field_attr("soilnvan",enabled=.FALSE.)
+!!$       CALL xios_orchidee_set_field_attr("soilavan",enabled=.FALSE.)
+!!$       CALL xios_orchidee_set_field_attr("soilmcr",enabled=.FALSE.)
+!!$       CALL xios_orchidee_set_field_attr("soilmcs",enabled=.FALSE.)
+!!$       CALL xios_orchidee_set_field_attr("soilmcfc",enabled=.FALSE.)
+!!$       CALL xios_orchidee_set_field_attr("soilmcw",enabled=.FALSE.)
+!!$    ENDIF
 
     IF (printlev_loc>=3) WRITE(numout,*) 'End slowproc_xios_intialize'
Index: branches/ORCHIDEE_2_2/ORCHIDEE/src_xml/context_input_orchidee.xml
===================================================================
--- branches/ORCHIDEE_2_2/ORCHIDEE/src_xml/context_input_orchidee.xml	(revision 7364)
+++ branches/ORCHIDEE_2_2/ORCHIDEE/src_xml/context_input_orchidee.xml	(revision 7375)
@@ -33,15 +33,14 @@
 
     <!-- Default file name: params_sp_mip.nc for both all soil hydraulic parameters. -->
-    <file id="soilparam_file" mode="read" output_freq="1y" enabled="true">
-      <field id="soilks" name="soilks" domain_ref="dom_file_soil" operation="instant" freq_offset="1ts" > this &gt; $min_sechiba ? 1e10 : 0 </field>
-      <field id="soilnvan" name="soilnvan" domain_ref="dom_file_soil" operation="instant" freq_offset="1ts" > this &gt; $min_sechiba ? 1e10 : 0 </field>
-      <field id="soilavan" name="soilavan" domain_ref="dom_file_soil" operation="instant" freq_offset="1ts" > this &gt; $min_sechiba ? 1e10 : 0 </field>
-      <field id="soilmcr" name="soilmcr" domain_ref="dom_file_soil" operation="instant" freq_offset="1ts" > this &gt; $min_sechiba ? 1e10 : 0 </field>
-      <field id="soilmcs" name="soilmcs" domain_ref="dom_file_soil" operation="instant" freq_offset="1ts" > this &gt; $min_sechiba ? 1e10 : 0 </field>
-      <field id="soilmcfc" name="soilmcfc" domain_ref="dom_file_soil" operation="instant" freq_offset="1ts" > this &gt; $min_sechiba ? 1e10 : 0 </field>
-      <field id="soilmcw" name="soilmcw" domain_ref="dom_file_soil" operation="instant" freq_offset="1ts" > this &gt; $min_sechiba ? 1e10 : 0 </field>
-    </file>
-
-    
+    <!--file id="soilparam_file" mode="read" output_freq="1y" enabled="true"-->
+      <!--field id="soilks" name="soilks" domain_ref="dom_file_soil" operation="instant" freq_offset="1ts" > this &gt; $min_sechiba ? 1e10 : 0 </field-->
+      <!--field id="soilnvan" name="soilnvan" domain_ref="dom_file_soil" operation="instant" freq_offset="1ts" > this &gt; $min_sechiba ? 1e10 : 0 </field-->
+      <!--field id="soilavan" name="soilavan" domain_ref="dom_file_soil" operation="instant" freq_offset="1ts" > this &gt; $min_sechiba ? 1e10 : 0 </field-->
+      <!--field id="soilmcr" name="soilmcr" domain_ref="dom_file_soil" operation="instant" freq_offset="1ts" > this &gt; $min_sechiba ? 1e10 : 0 </field-->
+      <!--field id="soilmcs" name="soilmcs" domain_ref="dom_file_soil" operation="instant" freq_offset="1ts" > this &gt; $min_sechiba ? 1e10 : 0 </field-->
+      <!--field id="soilmcfc" name="soilmcfc" domain_ref="dom_file_soil" operation="instant" freq_offset="1ts" > this &gt; $min_sechiba ? 1e10 : 0 </field-->
+      <!--field id="soilmcw" name="soilmcw" domain_ref="dom_file_soil" operation="instant" freq_offset="1ts" > this &gt; $min_sechiba ? 1e10 : 0 </field-->
+    <!--/file-->
+   
     <file  id="PFTmap_file"  mode="read" output_freq="1y">
       <field id="maxvegetfrac_read"  name="maxvegetfrac" domain_ref="dom_file_pft" axis_ref="nvm" operation="instant"  freq_offset="1ts"> this &lt; 1e10 ? this : 0 </field>