Index: branches/ORCHIDEE_2_2/ORCHIDEE_OL/OOL_SEC_STO_FG2nd/COMP/sechiba.driver
===================================================================
--- branches/ORCHIDEE_2_2/ORCHIDEE_OL/OOL_SEC_STO_FG2nd/COMP/sechiba.driver	(revision 7422)
+++ branches/ORCHIDEE_2_2/ORCHIDEE_OL/OOL_SEC_STO_FG2nd/COMP/sechiba.driver	(revision 7427)
@@ -80,5 +80,5 @@
     SECHIBA_WRITE_STEP2=0
 
-    if [ X${orchidee_ol_UserChoices_XIOS} = Xy ] ; then
+    if [ X${orchideedriver_UserChoices_XIOS} = Xy ] ; then
       # Activate XIOS output
       IGCM_comp_modifyDefFile blocker run.def XIOS_ORCHIDEE_OK y
@@ -147,5 +147,5 @@
     # Modify file_def_orchidee.xml if XIOS is activated
     # Settings in config.card WriteFrequency are not used any more. The section above is only used for IOIPSL.
-    if [ X${orchidee_ol_UserChoices_XIOS} = Xy ] ; then
+    if [ X${orchideedriver_UserChoices_XIOS} = Xy ] ; then
 	# Modify file_def_orchidee.xml file using settings from sechiba.card/orchidee.card
 	# We here suppose that for each file, in sechiba.card/orchidee.card UserChoices section, if the parameter 
Index: branches/ORCHIDEE_2_2/ORCHIDEE_OL/OOL_SEC_STO_FG2nd/COMP/stomate.driver
===================================================================
--- branches/ORCHIDEE_2_2/ORCHIDEE_OL/OOL_SEC_STO_FG2nd/COMP/stomate.driver	(revision 7422)
+++ branches/ORCHIDEE_2_2/ORCHIDEE_OL/OOL_SEC_STO_FG2nd/COMP/stomate.driver	(revision 7427)
@@ -47,5 +47,5 @@
     # Modify file_def_orchidee.def if XIOS is activated using information in stomate.card
     # Settings in config.card WriteFrequency are not used any more.
-    if [ X${orchidee_ol_UserChoices_XIOS} = Xy ] ; then
+    if [ X${orchideedriver_UserChoices_XIOS} = Xy ] ; then
 
 	# Modify file_def_orchidee.xml file using settings from stomate.card
Index: branches/ORCHIDEE_2_2/ORCHIDEE_OL/OOL_SEC_STO_FG2nd/PARAM/run.def
===================================================================
--- branches/ORCHIDEE_2_2/ORCHIDEE_OL/OOL_SEC_STO_FG2nd/PARAM/run.def	(revision 7422)
+++ branches/ORCHIDEE_2_2/ORCHIDEE_OL/OOL_SEC_STO_FG2nd/PARAM/run.def	(revision 7427)
@@ -14,10 +14,17 @@
 #**************************************************************************
 
-# For new driver with CRUJRA2.2 (SPREAD_PREC8SEC=half forcing timestep by default)
+# For new driver with CRUJRA2.2 (SPREAD_PREC_SEC=half forcing timestep by default)
 #*****************************************************************************
+START_DATE = _AUTO_
+END_DATE = _AUTO_
 DT_SECHIBA = 1800
+#SPREAD_PREC_SEC = 3600 # The default is half the forcing time step
+FORCING_FILE = forcing_yearm1.nc forcing_year.nc forcing_yearp1.nc
 GRID_FILE = NONE
+#WEST_EAST = -180.0, 180.0
+#SOUTH_NORTH = -90.0, 90.0
 # Deactivate river routing as not working with CRUJRA (default y)
 RIVER_ROUTING = n
+#*****************************************************************************
 
 # Activate Stomate component (default y)
Index: branches/ORCHIDEE_2_2/ORCHIDEE_OL/OOL_SEC_STO_FG3nd/PARAM/run.def
===================================================================
--- branches/ORCHIDEE_2_2/ORCHIDEE_OL/OOL_SEC_STO_FG3nd/PARAM/run.def	(revision 7422)
+++ branches/ORCHIDEE_2_2/ORCHIDEE_OL/OOL_SEC_STO_FG3nd/PARAM/run.def	(revision 7427)
@@ -14,19 +14,18 @@
 #**************************************************************************
 
-# Activate Stomate component (default y)
-STOMATE_OK_STOMATE = _AUTOBLOCKER_ 
-
-# Time length for one intergration (default full lenght of forcing file)
+# For new driver with CRUJRA2.2 (SPREAD_PREC_SEC=half forcing timestep by default)
+#*****************************************************************************
 START_DATE = _AUTO_
-END_DATE = _AUTO_ 
+END_DATE = _AUTO_
 DT_SECHIBA = 1800
-#FORCING_FILE = forcing_yearm1.nc forcing_year.nc forcing_yearp1.nc
-#
-# Domain description file
-#
+#SPREAD_PREC_SEC = 3600 # The default is half the forcing time step
+FORCING_FILE = forcing_yearm1.nc forcing_year.nc forcing_yearp1.nc
 GRID_FILE = NONE
 #WEST_EAST = -180.0, 180.0
 #SOUTH_NORTH = -90.0, 90.0
-#SPREAD_PREC_SEC = 3600 # The default is half the forcing time step
+#*****************************************************************************
+
+# Activate Stomate component (default y)
+STOMATE_OK_STOMATE = _AUTOBLOCKER_ 
 
 #