Index: branches/ORCHIDEE_2_2/ORCHIDEE/orchidee.default
===================================================================
--- branches/ORCHIDEE_2_2/ORCHIDEE/orchidee.default	(revision 7444)
+++ branches/ORCHIDEE_2_2/ORCHIDEE/orchidee.default	(revision 7475)
@@ -51,16 +51,18 @@
 RELAX_A =  1.0 
 
-# SPREAD_PREC ([-]) :  On how long we spread the precipitation, value in nb of dt_sechiba 	{[-]}
-SPREAD_PREC =  Half of the forcing time step or uniform, depending on dt_force (greater than 3h or not, respectively)
-
-# SPREAD_PREC_SEC ([s]) : On how long we spread the precipitation, value in seconds {NEW_DRIVER}
-# If this keyword is not set, SPREAD_PREC is used, whether defined in run.def or by default
-SPREAD_PREC_SEC = 3600
-
-# SPREAD_PREC_CONT ([s]) : Makes the spreading uniform if it still rains at following forcing time step {NEW_DRIVER}
-SPREAD_PREC_CONT = n
-
-# ATM_CO2 ([ppm]) :  Value to precribe atmospheric CO2 	{[FORCE_CO2_VEG=y or Offline mode]}
+# SPREAD_PREC ([nb of dt_sechiba]) :  On how long we spread the precipitation 	{[orchidee_ol]}
+SPREAD_PREC =  Half of the forcing time step or uniform, depending on dt_force and dt_sechiba 
+
+# ATM_CO2 ([ppm]) :  Value to precribe atmosoheric CO2 	{[FORCE_CO2_VEG=y or Offline mode]}
 ATM_CO2 =  350. 
+
+# SPREAD_PREC ([FLAG]) :  Spread the precipitation. 	{orchideedriver}
+SPREAD_PREC =  Spread the precipitation. 
+
+# SPREAD_PREC_SEC ([-]) :  On how long we spread the precipitation 	{orchideedriver and nb_spread < 0}
+SPREAD_PREC_SEC =  3600 
+
+# SPREAD_PREC_CONT ([s]) :  Take into account precipitation on the next forcing step for spreading it. 	{orchideedriver}
+SPREAD_PREC_CONT =  FALSE 
 
 # ALLOW_WEATHERGEN ([FLAG]) :  Allow weather generator to create data 	{[-]}
@@ -120,17 +122,5 @@
 
 # SOILTYPE_CLASSIF ([-]) :  Type of soil texture classification (for hydraulic and thermic properties)  	{!IMPOSE_VEG}
-SOILTYPE_CLASSIF =  zobler
-
-# SPMIPEXP ([-]) : For alternative ways to prescribe hydraulic soil parameters (thermic params still defined from soil texture)
-#   maps to read maps of soil parameter as in the SP-MIP project
-#   unif to impose uniforme texture over the globe (4 texture options, see UNIF_CASE, with parameter values imposed by SP-MIP)
-#   texture for default behavior in which all soil parameters stem from soil texture
-SPMIPEXP = texture
-
-# UNIF_CASE ([-]) to define one of 4 uniform textures: 'a' for loamy sand, 'b' for loam, 'c' for silt, 'd' for clay {SPMIPEXP}
-UNIF_CASE = b
-
-# KFACT_ROOT_TYPE ([-]): var or cons, to make kfact_root=1 throughout the soil (no impact of roots on ks profile)
-KFACT_ROOT_TYPE = var
+SOILTYPE_CLASSIF =  zobler 
 
 # RIVER_ROUTING ([FLAG]) :  Decides if we route the water or not 	{OK_SECHIBA}
@@ -779,5 +769,5 @@
 IMPOSE_VEG =  n 
 
-# IMPOSE_SOILT ([FLAG]) :  Should the soil type be prescribed ? 
+# IMPOSE_SOILT ([FLAG]) :  Should the soil type be prescribed ? 	{}
 IMPOSE_SOILT =  n 
 
@@ -1013,13 +1003,4 @@
 GB_REF =  1./25. 
 
-# CLAYFRACTION_DEFAULT ([-]   ) :  default fraction of clay 	{OK_SECHIBA }
-CLAYFRACTION_DEFAULT =  0.2  
-
-# SANDFRACTION_DEFAULT ([-]   ) :  default fraction of sand 	{OK_SECHIBA }
-SANDFRACTION_DEFAULT =  0.4  
-
-# SILTFRACTION_DEFAULT ([-]   ) :  default fraction of silt 	{OK_SECHIBA }
-SILTFRACTION_DEFAULT =  0.4  
-
 # MIN_VEGFRAC  ([-]  ) :  Minimal fraction of mesh a vegetation type can occupy  	{OK_SECHIBA }
 MIN_VEGFRAC  =  0.001  
@@ -1425,5 +1406,5 @@
 
 # DRY_SOIL_HEAT_COND ([W.m^{-2}.K^{-1}] ) :  Dry soil Thermal Conductivity of soils 	{OK_SECHIBA}
-DRY_SOIL_HEAT_COND =  0.40 
+DRY_SOIL_HEAT_COND =  0.40  
 
 # SNOW_HEAT_COND ([W.m^{-2}.K^{-1}]) :  Thermal Conductivity of snow 	{OK_SECHIBA  }
@@ -1466,13 +1447,49 @@
 CHECK_CWRR =  n 
 
+# SOIL_FRACTIONS ([-]) :  Areal fraction of the 13 soil USDA textures; the dominant one is selected, Loam by default 	{IMPOSE_SOILT}
+SOIL_FRACTIONS =  0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0 
+
+# CLAY_FRACTION ([-]) :  Fraction of the clay fraction (0-dim mode) 	{IMPOSE_SOIL}
+CLAY_FRACTION =  0.2 if Loam 
+
+# SAND_FRACTION ([-] ) :  Fraction of the clay fraction (0-dim mode) 	{IMPOSE_SOIL}
+SAND_FRACTION =  0.4 
+
+# nvan ([-]) :  nvan parameter from Van genutchen equations 	{IMPOSE_SOIL}
+nvan =  1.56 if Loam 
+
+# avan ([-]) :  avan parameter from Van genutchen equations 	{IMPOSE_SOIL}
+avan =  0.0036 if Loam 
+
+# mcr ([-]) :  residual soil moisture 	{IMPOSE_SOIL}
+mcr =  0.078 if Loam 
+
+# mcs ([-]) :  saturation soil moisture 	{IMPOSE_SOIL}
+mcs =  0.43 if Loam 
+
+# ks ([mm/d]) :  saturation conductivity 	{IMPOSE_SOIL}
+ks =  249.6 if Loam 
+
+# mcfc ([-]) :  field capacity soil moisture 	{IMPOSE_SOIL}
+mcfc =  0.1654 if caclulated from default 5 parameters above 
+
+# mcw ([-]) :  wilting point soil moisture 	{IMPOSE_SOIL}
+mcw =  0.0884 if caclulated from default 5 parameters above 
+
+# GET_SLOPE ([FLAG]) :  Read slopes from file and do the interpolation 	{}
+GET_SLOPE =  n 
+
+# REINF_SLOPE ([-]) :  Fraction of reinfiltrated surface runoff  	{}
+REINF_SLOPE =  0.1 
+
+# SECHIBA_QSINT  ([m]) :  Interception reservoir coefficient 	{OK_SECHIBA }
+SECHIBA_QSINT  =  0.02 
+
+# SECHIBA_ZCANOP ([m]) :  Soil level used for canopy development (if STOMATE disactivated) 	{OK_SECHIBA and .NOT. OK_STOMATE  }
+SECHIBA_ZCANOP =  0.5 
+
 # VEGET_UPDATE ([years]) :  Update vegetation frequency: 0Y or 1Y 	{}
 VEGET_UPDATE =  0Y 
 
-# SECHIBA_ZCANOP ([m]) :  Soil level used for canopy development (if STOMATE disactivated) 	{OK_SECHIBA and .NOT. OK_STOMATE  }
-SECHIBA_ZCANOP =  0.5 
-
-# SECHIBA_QSINT  ([m]) :  Interception reservoir coefficient 	{OK_SECHIBA }
-SECHIBA_QSINT  =  0.1 
-
 # SECHIBA_VEGMAX ([-]) :  Maximum vegetation distribution within the mesh (0-dim mode) 	{IMPOSE_VEG}
 SECHIBA_VEGMAX =  0.2, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.8, 0.0, 0.0, 0.0 
@@ -1484,40 +1501,4 @@
 SECHIBA_LAI =  0., 8., 8., 4., 4.5, 4.5, 4., 4.5, 4., 2., 2., 2., 2. 
 
-# SOIL_FRACTIONS ([-]) :  Areal fraction of the 13 soil USDA textures; the dominant one is selected (0-dim mode) {IMPOSE_SOILT}
-SOIL_FRACTIONS =  0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0
-
-# CLAY_FRACTION ([-] ) :  Fraction of the clay fraction (0-dim mode) 	{IMPOSE_SOILT}
-CLAY_FRACTION =  0.2 
-
-# SAND_FRACTION ([-] ) :  Fraction of the clay fraction (0-dim mode) 	{IMPOSE_SOILT}
-SAND_FRACTION =  0.4 
-
-# NVAN_IMP ([-] ) :  nvan parameter from Van Genutchen equations (0-dim mode) 	{IMPOSE_SOILT}
-NVAN_IMP =  1.56
-
-# AVAN_IMP ([-] ) :  avan parameter from Van Genutchen equations (0-dim mode) 	{IMPOSE_SOILT}
-AVAN_IMP =  0.0036
-
-# MCR_IMP ([-] ) :  residual soil moisture (0-dim mode) 	{IMPOSE_SOILT}
-MCR_IMP =  0.078
-
-# MCS_IMP ([-] ) :  saturated soil moisture (0-dim mode) 	{IMPOSE_SOILT}
-MCS_IMP =  0.43
-
-# KS_IMP ([mm/d] ) :  saturated conductivity (0-dim mode) 	{IMPOSE_SOILT}
-KS_IMP =  249.6
-
-# MCFC_IMP ([-] ) :  field capacity soil moisture (0-dim mode) 	{IMPOSE_SOILT}
-MCFC_IMP =  0.1654
-
-# MCW_IMP ([-] ) :  wilting point soil moisture (0-dim mode) 	{IMPOSE_SOILT}
-MCW_IMP =  0.0884
-
-# GET_SLOPE ([FLAG]) :  Read slopes from file and do the interpolation 	{}
-GET_SLOPE =  n 
-
-# REINF_SLOPE ([-]) :  Fraction of reinfiltrated surface runoff
-REINF_SLOPE =  0.1 
-
 # SLOWPROC_HEIGHT ([m]) :  Height for all vegetation types  	{OK_SECHIBA}
 SLOWPROC_HEIGHT =  0., 30., 30., 20., 20., 20., 15., 15., 15., .5, .6, 1.0, 1.0 
@@ -1532,7 +1513,16 @@
 VEGETATION_FILE =  PFTmap.nc 
 
+# SPMIPEXP ([-]) :  Types of alternative hydraulic parameters 	{}
+SPMIPEXP =  'texture' 
+
+# UNIF_CASE ([-]) :  Types of uniform soil textures in SPMIP 	{SPMIPEXP='unif'}
+UNIF_CASE =  'b' 
+
 # SOILCLASS_FILE ([FILE]) :  Name of file from which soil types are read 	{NOT(IMPOSE_VEG)}
 SOILCLASS_FILE =  soils_param.nc 
 
+# PARAM_FILE ([FILE]) :  Name of file from which soil parameter  values are read 	{params_sp_mip.nc}
+PARAM_FILE =  params_sp_mip.nc 
+
 # SLOPE_NOREINF ([%]) :  Slope over which surface runoff does not reinfiltrate 	{}
 SLOPE_NOREINF =  0.5 
@@ -1574,4 +1564,7 @@
 SOIL_REFTEMP_FILE =  reftemp.nc 
 
+# KFACT_ROOT_TYPE ([mm/d]) :  keyword added for spmip exp1 and exp4 to get a constant ks over soil depth and rootzone 	{spmip exp1 or exp4}
+KFACT_ROOT_TYPE =  var 
+
 # DO_PONDS ([FLAG]) :  Should we include ponds  	{}
 DO_PONDS =  n 
@@ -1592,27 +1585,6 @@
 OK_DYNROOT =  n 
 
-# CWRR_N_VANGENUCHTEN ([-]) :  Van genuchten coefficient n 	{}
-CWRR_N_VANGENUCHTEN =  1.89, 1.56, 1.31 
-
-# CWRR_A_VANGENUCHTEN ([1/mm]  ) :  Van genuchten coefficient a 	{}
-CWRR_A_VANGENUCHTEN =  0.0075, 0.0036, 0.0019 
-
-# VWC_RESIDUAL ([m3/m3]  ) :  Residual soil water content 	{}
-VWC_RESIDUAL =  0.065, 0.078, 0.095 
-
-# VWC_SAT ([m3/m3]  ) :  Saturated soil water content 	{}
-VWC_SAT =  0.41, 0.43, 0.41 
-
-# CWRR_KS  ([mm/d]   ) :  Hydraulic conductivity Saturation 	{}
-CWRR_KS  =  1060.8, 249.6, 62.4 
-
-# WETNESS_TRANSPIR_MAX ([-]) :  Soil moisture above which transpir is max, for each texture class	{}
+# WETNESS_TRANSPIR_MAX ([-]    ) :  Soil moisture above which transpir is max, for each soil texture class 	{}
 WETNESS_TRANSPIR_MAX =  0.8, 0.8, 0.8, 0.8, 0.8, 0.8, 0.8, 0.8, 0.8, 0.8, 0.8, 0.8, 0.8 
-
-# VWC_FC  ([m3/m3]   ) :  Volumetric water content field capacity 	{}
-VWC_FC  =  0.32, 0.32, 0.32 
-
-# VWC_WP ([m3/m3]   ) :  Volumetric water content Wilting pt 	{}
-VWC_WP =  0.10, 0.10, 0.10  
 
 # VWC_MIN_FOR_WET_ALB ([m3/m3]  ) :  Vol. wat. cont. above which albedo is cst 	{}